wmpuzzle(6)

NAME
wmpuzzle - WindowMaker dock app 4x4 puzzle

SYNOPSIS
wmpuzzle [options] [xpm image file]

DESCRIPTION

wmpuzzle provides a 4x4 puzzle on a 64x64 mini window. It is designed to work with the WindowMaker dock, but will work with other window managers as well.

OPTIONS

-h, --help
    displays a command line summary.

-a, --auto-save
    automatically save the puzzle state on program exit.

-k, --keyboard
    enable use of the keyboard for arrow-key navigation.

-s, --shuffle=count
    shuffle the image count times, defaults to 2000. Using -s prevents loading the saved state from the resource file.

-v, --version
    displays the version number.

--display=id
    Set the display to use, e.g. --display=:0.0.

--geometry=pos
    Set the position of the dock app, e.g. --geometry=+10+10. Note that the size (64x64) is hard-coded and cannot be changed.

The image file must be an XPM file with minimum (and recommended) size of 48x48 pixels. If it is larger then the upper left corner will be shown.

USAGE

Left mouse click moves the puzzle tiles, right click saves the current state and middle click recovers the last saved state. If -k has been specified the arrow keys and key s and key r will do as well.

If the picture has been completed the last element will be shown.

FILES

~/.wmpuzzlerc
    contains the puzzling state of the images. The basename of an image file will be used as its identifier. Use option -s to ignore this file on startup.

BUGS

When wmpuzzle complains about not enough free color symbols that's because it needs to add six colors to the XPM's color table and found no free symbols using the according number of characters per pixel. Try to find some unused entries, delete them and correct the size of the color table (the third number in the first line), or enlarge the number of characters per pixel using some imaging program.

Please send any bugs to <martin@godisch.de>. Debian users are encouraged to use the Debian Bug Tracking System at http://bugs.debian.org/wmpuzzle.

AUTHOR

wmpuzzle is written by Martin A. Godisch <martin@godisch.de>. Thanks to Gordon Fraser for his suggestions, and to Kyle Boyle for the contribution of his numbers puzzle. Thanks to Matthias Klose for bug reports and fixes.